<?php

/**
 * Test: SimpleRouter and modules.
 *
 * @author     David Grudl
 * @package    Nette\Application
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



$router = new SimpleRouter(array(
	'module' => 'main:sub',
));

$uri = new UriScript('http://nette.org/file.php');
$uri->setScriptPath('/file.php');
$uri->setQuery(array(
	'presenter' => 'myPresenter',
));
$httpRequest = new HttpRequest($uri);

$req = $router->match($httpRequest);
Assert::same( 'main:sub:myPresenter',  $req->getPresenterName() );

$url = $router->constructUrl($req, $httpRequest->uri);
Assert::same( 'http://nette.org/file.php?presenter=myPresenter',  $url );

$req = new PresenterRequest(
	'othermodule:presenter',
	HttpRequest::GET,
	array()
);
$url = $router->constructUrl($req, $httpRequest->uri);
Assert::null( $url );
